Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassificationSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassificationSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassificationSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SupportVectorClassificationSolution", "Represents a support vector solution for a classification problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("55714C0C-40CF-4D36-9511-D6245E81C1E3")]
   public sealed class SupportVectorClassificationSolution : ClassificationSolution, ISupportVectorMachineSolution {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorMachineModel.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorMachineModel.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorMachineModel.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// Represents a support vector machine model.
   /// </summary>
-  [StorableClass]
+  [StorableClass("0AB8F0B0-DB90-488D-9EB4-CB7D81566655")]
   [Item("SupportVectorMachineModel", "Represents a support vector machine model.")]
   public sealed class SupportVectorMachineModel : NamedItem, ISupportVectorMachineModel {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegression.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegression.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegression.cs	(revision 13368)
@@ -38,5 +38,5 @@
   [Item("Support Vector Regression (SVM)", "Support vector machine regression data analysis algorithm (wrapper for libSVM).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 110)]
-  [StorableClass]
+  [StorableClass("11DB1DEB-3B8D-44F0-B522-28328E57FF4B")]
   public sealed class SupportVectorRegression : FixedDataAnalysisAlgorithm<IRegressionProblem> {
     private const string SvmTypeParameterName = "SvmType";
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegressionSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegressionSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegressionSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SupportVectorRegressionSolution", "Represents a support vector solution for a regression problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("43C20E72-7AF9-42EF-821B-2040413065CC")]
   public sealed class SupportVectorRegressionSolution : RegressionSolution, ISupportVectorMachineSolution {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/TimeSeries/AutoregressiveModeling.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/TimeSeries/AutoregressiveModeling.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/TimeSeries/AutoregressiveModeling.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   [Item("Autoregressive Modeling (AR)", "Timeseries modeling algorithm that creates AR-N models.")]
   [Creatable(CreatableAttribute.Categories.DataAnalysis, Priority = 130)]
-  [StorableClass]
+  [StorableClass("7D0CD322-3E9F-43C7-BF62-C6CFDCE889AE")]
   public class AutoregressiveModeling : FixedDataAnalysisAlgorithm<ITimeSeriesPrognosisProblem> {
     private const string TimeOffesetParameterName = "Maximum Time Offset";
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClustering.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClustering.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClustering.cs	(revision 13368)
@@ -37,5 +37,5 @@
   [Item("k-Means", "The k-Means clustering algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysis, Priority = 10)]
-  [StorableClass]
+  [StorableClass("64670EE3-1D17-45B2-BDCC-245918DB8895")]
   public sealed class KMeansClustering : FixedDataAnalysisAlgorithm<IClusteringProblem> {
     private const string KParameterName = "k";
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringModel.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringModel.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringModel.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// Represents a k-Means clustering model.
   /// </summary>
-  [StorableClass]
+  [StorableClass("7B062A19-9844-4D9B-8DD0-8F466312C001")]
   [Item("KMeansClusteringModel", "Represents a k-Means clustering model.")]
   public sealed class KMeansClusteringModel : NamedItem, IClusteringModel {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/kMeans/KMeansClusteringSolution.cs	(revision 13368)
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("k-Means clustering solution", "Represents a k-Means solution for a clustering problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("E423B712-C642-4F6C-AABB-238AE5015E99")]
   public sealed class KMeansClusteringSolution : ClusteringSolution {
     private const string TrainingIntraClusterSumOfSquaresResultName = "Intra-cluster sum of squares (training)";
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.EvolutionStrategy/3.3/EvolutionStrategyMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.EvolutionStrategy/3.3/EvolutionStrategyMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.EvolutionStrategy/3.3/EvolutionStrategyMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("EvolutionStrategyMainLoop", "An operator which represents the main loop of an evolution strategy (EvolutionStrategy).")]
-  [StorableClass]
+  [StorableClass("D2548D32-268F-4C7B-91ED-AC4ED81D598E")]
   public sealed class EvolutionStrategyMainLoop : AlgorithmOperator {
     #region Parameter properties
@@ -129,7 +129,7 @@
       Parameters.Add(new ScopeTreeLookupParameter<DoubleValue>("Quality", "The value which represents the quality of a solution."));
       Parameters.Add(new ValueLookupParameter<DoubleValue>("BestKnownQuality", "The best known quality value found so far."));
-      Parameters.Add(new ValueLookupParameter<IntValue>("PopulationSize", "µ (mu) - the size of the population."));
-      Parameters.Add(new ValueLookupParameter<IntValue>("ParentsPerChild", "ρ (rho) - how many parents should be recombined."));
-      Parameters.Add(new ValueLookupParameter<IntValue>("Children", "λ (lambda) - the size of the offspring population."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("PopulationSize", "Âµ (mu) - the size of the population."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("ParentsPerChild", "Ï (rho) - how many parents should be recombined."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("Children", "Î» (lambda) - the size of the offspring population."));
       Parameters.Add(new ValueLookupParameter<IntValue>("MaximumGenerations", "The maximum number of generations which should be processed."));
       Parameters.Add(new ValueLookupParameter<BoolValue>("PlusSelection", "True for plus selection (elitist population), false for comma selection (non-elitist population)."));
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.EvolutionStrategy/3.3/WithoutRepeatingBatchedRandomSelector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.EvolutionStrategy/3.3/WithoutRepeatingBatchedRandomSelector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.EvolutionStrategy/3.3/WithoutRepeatingBatchedRandomSelector.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.EvolutionStrategy {
   [Item("WithoutRepeatingBatchedRandomSelector", "Selects m batches of n parents where in each batch the n parents are drawn without repeating.")]
-  [StorableClass]
+  [StorableClass("6FE2D7BC-2CDD-4C38-B6EF-337BE8C56B21")]
   public class WithoutRepeatingBatchedRandomSelector : StochasticSelector {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithm.cs	(revision 13368)
@@ -40,5 +40,5 @@
   [Item("Genetic Algorithm (GA)", "A genetic algorithm.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 100)]
-  [StorableClass]
+  [StorableClass("450F1EC0-ED07-47E2-962A-B98BCAA5CC51")]
   public sealed class GeneticAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithmMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithmMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithmMainLoop.cs	(revision 13368)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("GeneticAlgorithmMainLoop", "An operator which represents the main loop of a genetic algorithm.")]
-  [StorableClass]
+  [StorableClass("002D77D7-0B04-4B22-A88C-52FE1DD02B91")]
   public sealed class GeneticAlgorithmMainLoop : AlgorithmOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -40,5 +40,5 @@
   [Item("Island Genetic Algorithm (Island-GA)", "An island genetic algorithm.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 110)]
-  [StorableClass]
+  [StorableClass("F9466376-A175-4EFC-B697-5C8A4F478C06")]
   public sealed class IslandGeneticAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithmMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithmMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithmMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("IslandGeneticAlgorithmMainLoop", "An island genetic algorithm main loop operator.")]
-  [StorableClass]
+  [StorableClass("EAC2539B-2FF0-4298-ABD7-9B724E59AC54")]
   public sealed class IslandGeneticAlgorithmMainLoop : AlgorithmOperator {
     #region Parameter Properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/Lbfgs.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/Lbfgs.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/Lbfgs.cs	(revision 13368)
@@ -38,7 +38,7 @@
   /// Limited-Memory BFGS optimization algorithm.
   /// </summary>
-  [Item("LM-BFGS", "The limited-memory BFGS (BroydenFletcherGoldfarbShanno) optimization algorithm.")]
+  [Item("LM-BFGS", "The limited-memory BFGS (Broydenï¿œFletcherï¿œGoldfarbï¿œShanno) optimization algorithm.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 160)]
-  [StorableClass]
+  [StorableClass("F1344A7B-A693-4E34-9F96-8362E7E315BD")]
   public sealed class LbfgsAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public override Type ProblemType {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableClass("687D5B51-367B-45EB-A5F1-7888F238665E")]
   [Item(Name = "LBFGS Analyzer", Description = "Analyzer to collect results for the LM-BFGS algorithm.")]
   public sealed class LbfgsAnalyzer : SingleSuccessorOperator, IAnalyzer {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableClass("3393605C-8AA5-4A4B-8F43-83966A8E60A9")]
   [Item(Name = "LBFGS Initializer", Description = "Initializes the necessary data structures for the LM-BFGS algorithm.")]
   public sealed class LbfgsInitializer : SingleSuccessorOperator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsMakeStep.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsMakeStep.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsMakeStep.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableClass("FDB51DFB-9668-448C-B75E-19BA1F61DB0D")]
   [Item(Name = "LBFGS MakeStep", Description = "Makes a step in the LM-BFGS optimization algorithm.")]
   public sealed class LbfgsMakeStep : SingleSuccessorOperator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsState.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsState.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsState.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableClass("465DF669-1556-4B4A-9195-E2AEA2C10CDC")]
   [Item("LbfgsState", "Internal state for the limited-memory BFGS optimization algorithm.")]
   public sealed class LbfgsState : Item {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsUpdateResults.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsUpdateResults.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsUpdateResults.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableClass("D6FA4D8C-9F48-4822-8316-30DB335C6D16")]
   [Item(Name = "LBFGS UpdateResults", Description = "Sets the results (function value and gradients) for the next optimization step in the LM-BFGS algorithm.")]
   public sealed class LbfgsUpdateResults : SingleSuccessorOperator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   [Item("Local Search (LS)", "A local search algorithm.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 100)]
-  [StorableClass]
+  [StorableClass("7EC750E2-0DC5-4C07-89E5-F5C66D9AD0A3")]
   public sealed class LocalSearch : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchImprovementOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchImprovementOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchImprovementOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   /// </summary>
   [Item("LocalSearchImprovementOperator", "A local search improvement operator.")]
-  [StorableClass]
+  [StorableClass("A3DAA4D3-5C87-4E41-8AD4-FA76D803C50D")]
   public sealed class LocalSearchImprovementOperator : SingleSuccessorOperator, ILocalImprovementAlgorithmOperator, IStochasticOperator, ISingleObjectiveOperator {
     #region IGenericLocalImprovementOperator Properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("LocalSearchMainLoop", "An operator which represents the main loop of a best improvement local search (if only a single move is generated in each iteration it is a first improvement local search).")]
-  [StorableClass]
+  [StorableClass("37D5FA6C-0D76-43B3-9D7D-41D5DDC2144A")]
   public sealed class LocalSearchMainLoop : AlgorithmOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.NSGA2/3.3/NSGA2.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.NSGA2/3.3/NSGA2.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.NSGA2/3.3/NSGA2.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -40,5 +40,5 @@
   [Item("NSGA-II", "The Nondominated Sorting Genetic Algorithm II was introduced in Deb et al. 2002. A Fast and Elitist Multiobjective Genetic Algorithm: NSGA-II. IEEE Transactions on Evolutionary Computation, 6(2), pp. 182-197.")]
   [Creatable(CreatableAttribute.Categories.Algorithms, Priority = 100)]
-  [StorableClass]
+  [StorableClass("E58D5AC4-AB91-43FE-8E7A-AB90AC1F4C65")]
   public class NSGA2 : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.NSGA2/3.3/NSGA2MainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.NSGA2/3.3/NSGA2MainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.NSGA2/3.3/NSGA2MainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("NSGA2MainLoop", "An operator which represents the main loop of the NSGA-II algorithm.")]
-  [StorableClass]
+  [StorableClass("94AA6897-0ACA-4103-B504-620F1CE5D4E3")]
   public class NSGA2MainLoop : AlgorithmOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionEvolutionStrategy/3.3/WithoutRepeatingBatchedRandomSelector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionEvolutionStrategy/3.3/WithoutRepeatingBatchedRandomSelector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionEvolutionStrategy/3.3/WithoutRepeatingBatchedRandomSelector.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.OffspringSelectionEvolutionStrategy {
   [Item("WithoutRepeatingBatchedRandomSelector", "Selects m batches of n parents where in each batch the n parents are drawn without repeating.")]
-  [StorableClass]
+  [StorableClass("5A325951-71F2-4361-A48B-E6707C7B2264")]
   public class WithoutRepeatingBatchedRandomSelector : StochasticSelector {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -40,5 +40,5 @@
   [Item("Island Offspring Selection Genetic Algorithm (Island-OSGA)", "An island offspring selection genetic algorithm.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 130)]
-  [StorableClass]
+  [StorableClass("4D3CACDA-449F-4B2E-BE49-26FEF4F29E71")]
   public sealed class IslandOffspringSelectionGeneticAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithmMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithmMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithmMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("IslandOffspringSelectionGeneticAlgorithmMainLoop", "An island offspring selection genetic algorithm main loop operator.")]
-  [StorableClass]
+  [StorableClass("28FD5BF7-981E-4530-9500-AB9FE334C788")]
   public sealed class IslandOffspringSelectionGeneticAlgorithmMainLoop : AlgorithmOperator {
     #region Parameter Properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithm.cs	(revision 13368)
@@ -40,5 +40,5 @@
   [Item("Offspring Selection Genetic Algorithm (OSGA)", "An offspring selection genetic algorithm (Affenzeller, M. et al. 2009. Genetic Algorithms and Genetic Programming - Modern Concepts and Practical Applications. CRC Press).")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 120)]
-  [StorableClass]
+  [StorableClass("FC317B47-361A-471A-B6D4-37382DCCA6DF")]
   public sealed class OffspringSelectionGeneticAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithmMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithmMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithmMainLoop.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("OffspringSelectionGeneticAlgorithmMainLoop", "An operator which represents the main loop of an offspring selection genetic algorithm.")]
-  [StorableClass]
+  [StorableClass("2288F854-9419-4CFF-A9AE-8FEC69ED8BDF")]
   public sealed class OffspringSelectionGeneticAlgorithmMainLoop : AlgorithmOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithmMainOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithmMainOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithmMainOperator.cs	(revision 13368)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("OffspringSelectionGeneticAlgorithmMainOperator", "An operator that represents the core of an offspring selection genetic algorithm.")]
-  [StorableClass]
+  [StorableClass("B12423AC-7161-4371-879D-03445E7FDF71")]
   public sealed class OffspringSelectionGeneticAlgorithmMainOperator : AlgorithmOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -40,5 +40,5 @@
   [Item("SASEGASA", "The self-adaptive segregative genetic algorithm with simulated annealing aspects (Affenzeller, M. et al. 2009. Genetic Algorithms and Genetic Programming - Modern Concepts and Practical Applications. CRC Press).")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 150)]
-  [StorableClass]
+  [StorableClass("03FA1BBA-96BA-484D-8BC5-A4E57C2D3BC8")]
   public sealed class SASEGASA : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
